From e856efd41ac1060cdd7c05d271847a3103603590 Mon Sep 17 00:00:00 2001
From: Julio Galvan <julio@epazote.net>
Date: Tue, 4 Jun 2019 01:39:33 -0700
Subject: [PATCH] New package: aerc-0.1.0

---
 srcpkgs/aerc/template | 36 ++++++++++++++++++++++++++++++++++++
 1 file changed, 36 insertions(+)
 create mode 100644 srcpkgs/aerc/template

diff --git a/srcpkgs/aerc/template b/srcpkgs/aerc/template
new file mode 100644
index 00000000000..14dbc8b1859
--- /dev/null
+++ b/srcpkgs/aerc/template
@@ -0,0 +1,36 @@
+# Template file for 'aerc'
+pkgname=aerc
+version=0.1.0
+revision=1
+build_style=go
+go_import_path="git.sr.ht/~sircmpwn/aerc"
+go_ldflags="-X main.Prefix=/usr -X main.ShareDir=/usr/share/aerc"
+hostmakedepends="git scdoc"
+short_desc="Email client for your terminal"
+maintainer="Julio Galvan <juliogalvan@protonmail.com>"
+license="MIT"
+homepage="https://aerc-mail.org/"
+distfiles="https://git.sr.ht/~sircmpwn/aerc/archive/${version}.tar.gz"
+checksum=d33e2e4401c29f3d021e5d0a8aac2a85efa15d72618809278131147d12a0a973
+
+_manpages="aerc.1 aerc-config.5 aerc-imap.5 aerc-smtp.5 aerc-tutorial.7"
+
+post_build() {
+	sed -e 's:@SHAREDIR@:/usr/share/aerc:g' > aerc.conf < config/aerc.conf.in
+	for manpage in $_manpages; do
+		scdoc < doc/${manpage}.scd > $manpage
+	done
+}
+
+post_install() {
+	for manpage in $_manpages; do
+		vman $manpage
+	done
+	vinstall aerc.conf 644 usr/share/aerc
+	vinstall config/accounts.conf 644 usr/share/aerc
+	vinstall config/binds.conf 644 usr/share/aerc
+	vinstall contrib/hldiff.py 644 usr/share/aerc/filters
+	vinstall contrib/html 644 usr/share/aerc/filters
+	vinstall contrib/plaintext.py 644 usr/share/aerc/filters
+	vlicense LICENSE
+}
\ No newline at end of file
